Solved) Is it possible to install hplip-3.19.8-2.mga8.x86_64

Solved) Is it possible to install hplip-3.19.8-2.mga8.x86_64

Postby sleepyz » Oct 28th, '19, 04:01

Im looking to buy a HP Color LaserJet Pro MFP M479fdw but it says that the min version of hplip is 3.19.6 to support it, from the HP website

My system currently has hplip
HP Linux Imaging and Printing System (ver. 3.19.5)
Device Information Utility ver. 5.2

On a Mageia 7 sytem is it possible to install hplip-3.19.8-2.mga8.x86_64.rpm from Mageia Cauldron? If so would it negatively affect future updates to the system?

hplip-3.19.8-2.mga8 RPM for x86_64
From Mageia Cauldron for x86_64 / media / core / release
Name: hplip Distribution: Mageia
Version: 3.19.8 Vendor: Mageia.Org
Release: 2.mga8 Build date: Fri Sep 13 22:23:33 2019
Group: System/Printing Build host: localhost
Size: 11123050 Source RPM: hplip-3.19.8-2.mga8.src.rpm
Packager: tv <tv>
Url: https://developers.hp.com/hp-linux-imaging-and-printing
Summary: HP printer/all-in-one driver infrastructure
Last edited by sleepyz on Oct 29th, '19, 05:50, edited 2 times in total.
Linux 5.3.6-desktop-1.mga7 (gcc version 8.3.1 (Mageia 8.3.1-0.mga7)) 2019 GeForce GTX 760 OpenGL 4.6.0 NVIDIA 430.40 i5-3450 3.50GHz 16GB DDR3 240GB SSD, 1TB HD, 1xBR-RE Mageia:7 64bit KDE Plasma :5.15.4 KDE Framework:5.57.0 Qt:5.12.2 Kernel:5.3.6
sleepyz
 
Posts: 26
Joined: Jan 10th, '18, 23:46
Location: US

Re: Is it possible to install hplip-3.19.8-2.mga8.x86_64.rpm

Postby doktor5000 » Oct 28th, '19, 19:57

Well it's certainly possible, although it would probably be much easier to just grab the src.rpm for the cauldron package and rebuild it under Mageia 7.
It might even be less effort to go for the manual installation from the .run file from https://developers.hp.com/hp-linux-imag ... g/gethplip
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 16218
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Is it possible to install hplip-3.19.8-2.mga8.x86_64.rpm

Postby sleepyz » Oct 29th, '19, 05:49

I bought another HP model which supported my version of hplip. Didn't want to mess up the printers already installed by upgrading hplip.
Thanks for your suggestion
Linux 5.3.6-desktop-1.mga7 (gcc version 8.3.1 (Mageia 8.3.1-0.mga7)) 2019 GeForce GTX 760 OpenGL 4.6.0 NVIDIA 430.40 i5-3450 3.50GHz 16GB DDR3 240GB SSD, 1TB HD, 1xBR-RE Mageia:7 64bit KDE Plasma :5.15.4 KDE Framework:5.57.0 Qt:5.12.2 Kernel:5.3.6
sleepyz
 
Posts: 26
Joined: Jan 10th, '18, 23:46
Location: US


Return to Printers and Scanners

Who is online

Users browsing this forum: No registered users and 1 guest